> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vocode.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Account Connections



## OpenAPI

````yaml get /v1/account_connections/list
openapi: 3.1.0
info:
  title: Vocode Hosted API
  description: |2-

            Vocode's Hosted API helps you automate phone calls in minutes. 🚀

            ## Numbers

            You can buy phone lines and place agents on them.

            ## Calls

            You can start, end, and get information about calls.
            
  termsOfService: http://example.com/terms/
  contact:
    name: Support
    email: support@vocode.dev
  version: 1.0.0
servers:
  - url: https://api.vocode.dev
    description: Production environment
    x-fern-server-name: Production
security: []
tags:
  - name: numbers
    description: Operations with phone numbers.
  - name: calls
    description: Manage calls.
paths:
  /v1/account_connections/list:
    get:
      tags:
        - account_connections
      summary: List Account Connections
      operationId: list_account_connections
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
            title: Page
        - name: size
          in: query
          required: false
          schema:
            type: integer
            default: 10
            title: Size
        - name: sort_column
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sort Column
        - name: sort_desc
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            default: false
            title: Sort Desc
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountConnectionPage'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AccountConnectionPage:
      properties:
        items:
          items:
            oneOf:
              - $ref: '#/components/schemas/TwilioAccountConnection'
              - $ref: '#/components/schemas/OpenAIAccountConnection'
            discriminator:
              propertyName: type
              mapping:
                account_connection_openai: '#/components/schemas/OpenAIAccountConnection'
                account_connection_twilio: '#/components/schemas/TwilioAccountConnection'
          type: array
          title: Items
        page:
          type: integer
          title: Page
        size:
          type: integer
          title: Size
        has_more:
          type: boolean
          title: Has More
        total:
          type: integer
          title: Total
        total_is_estimated:
          type: boolean
          title: Total Is Estimated
      type: object
      required:
        - items
        - page
        - size
        - has_more
        - total
        - total_is_estimated
      title: AccountConnectionPage
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TwilioAccountConnection:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          type: string
          format: uuid
          title: User Id
        credentials:
          $ref: '#/components/schemas/TwilioCredentials'
        type:
          type: string
          enum:
            - account_connection_twilio
          const: account_connection_twilio
          title: Type
        steering_pool:
          items:
            type: string
          type: array
          title: Steering Pool
        account_supports_any_caller_id:
          type: boolean
          title: Account Supports Any Caller Id
          default: false
      type: object
      required:
        - id
        - user_id
        - credentials
        - type
      title: TwilioAccountConnection
    OpenAIAccountConnection:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          type: string
          format: uuid
          title: User Id
        credentials:
          $ref: '#/components/schemas/OpenAICredentials'
        type:
          type: string
          enum:
            - account_connection_openai
          const: account_connection_openai
          title: Type
      type: object
      required:
        - id
        - user_id
        - credentials
        - type
      title: OpenAIAccountConnection
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    TwilioCredentials:
      properties:
        twilio_account_sid:
          type: string
          title: Twilio Account Sid
        twilio_auth_token:
          type: string
          title: Twilio Auth Token
      type: object
      required:
        - twilio_account_sid
        - twilio_auth_token
      title: TwilioCredentials
    OpenAICredentials:
      properties:
        openai_api_key:
          type: string
          title: Openai Api Key
      type: object
      required:
        - openai_api_key
      title: OpenAICredentials
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````